# --8<--8<--8<--8<--
#
# Copyright (C) 2007 Smithsonian Astrophysical Observatory
#
# This file is part of mst-cpan
#
# mst-cpan is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# mst-cpan is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the 
#       Free Software Foundation, Inc. 
#       51 Franklin Street, Fifth Floor
#       Boston, MA  02110-1301, USA
#
# -->8-->8-->8-->8--

package MST::CPAN::Handler::Compress_Bzip2;

use strict;
use warnings;

use base 'MST::CPAN::Handler';

sub install
{
    my ( $self ) = @_;

    if ( $::opt{SysArch}{os_type} eq 'solaris' )
    {
	# the tests will fail under Solaris but I can't figure out how
	# to force install without scrubbing the source.

	$self->fix_file( 'config.in',
			 qr/BUILD_BZLIB.*/ => 'BUILD_BZLIB = yes'
		       );
	$self->force_install(1);
    }

    $self->SUPER::install( );
}


1;
